          rusty@rustcorp.com.au

Rusty
Russell
2002-12-27
rmmod
8

# rmmod

simple program to remove a module from the Linux Kernel

          rmmod
          -f
          -w
          -s
          -v
          modulename

## DESCRIPTION

`rmmod` is a trivial program to remove a module from the kernel. Most users will want to use modprobe 8 instead, with the `-r` option.

## OPTIONS

`-v` `--verbose`

  Print messages about what the program is doing. Usually `rmmod` only prints messages if something goes wrong.

`-f` `--force`

  This option can be extremely dangerous: it has no effect unless CONFIG_MODULE_FORCE_UNLOAD was set when the kernel was compiled. With this option, you can remove modules which are being used, or which are not designed to be removed, or have been marked as unsafe (see lsmod 8 ).

`-w` `--wait`

  Normally, `rmmod` will refuse to unload modules which are in use. With this option, `rmmod` will isolate the module, and wait until the module is no longer used. Noone new will be able to use the module, but it's up to you to make sure the current users eventually finish with it. See lsmod 8 ) for information on usage counts.

`-s` `--syslog`

  Send errors to the syslog, instead of standard error.

`-V` `--version`

  Show version of program, and exit. See below for caveats when run on older kernels.

## BACKWARDS COMPATIBILITY

This version of `rmmod` is for kernels `2.5.48` and above. If it detects a kernel with support for old-style modules (for which much of the work was done in userspace), it will attempt to run `rmmod.old` in its place, so it is completely transparent to the user.

## COPYRIGHT

This manual page Copyright 2002, Rusty Russell, IBM Corporation.

## SEE ALSO

modprobe 8 , insmod 8 , lsmod 8 , rmmod.old 8